2007-11-09 05:23 - Derek Montgomery

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    
Description

It would be really convenient for the Wiki to have category tagging (assign a wiki page to a category) and have

an autolisting of the categories on the right side, just like there is Index by title or date, it would be Category

xxxx Index (so you would only list the pages you tagged with the xxxx category).

Related issues:

Related to Redmine - Feature #472: Support 'tagging' of wiki pages Closed

Related to Redmine - Feature #2897: Tagging in Redmine New 2009-03-04

Has duplicate Redmine - Feature #1238: A wiki page could add tags. Closed 2008-05-15

Has duplicate Redmine - Feature #3200: Wiki Page Categories Closed 2009-04-18

History

#1 - 2008-01-15 06:10 - Martin Klima

+1 In order to use a wiki for some more complex project, it is

necessary to have a possibility of grouping wiki pages into some

logical structure. It may be categories and sub-categories, tags,

or some folder-like structure.

#2 - 2008-02-22 18:42 - chris mcharg

+1 for menu with subtitles in wiki sidebar

#3 - 2009-04-21 18:16 - Sven Schwyn

I've started to implement this feature. Is there anybody else working on it? I don't want to waste my time :-)

#4 - 2009-04-30 13:23 - Sven Schwyn

Here's a patch with a first shot at implementing this feature: #3274

#5 - 2011-03-24 10:40 - Toshi MARUYAMA

- Category set to Wiki

#6 - 2011-11-24 04:03 - Stefan Stefansson

Just to be clear here, are we talking about the same thing as adding namespaces to the wiki system? If so I fully support this. We run a school project

on Redmine and each year a new group of students shows up and it would be very convenient for us to be able to move all the wiki pages from

previous year into that years namespace and start fresh for the new group.

So just to state the requirements we have:

1) Be able to move pages into/between namespaces

2) Be able to have two pages with the same name given that they're in different namespaces, e.g. 2010:MyPage and 2011:MyPage.

At least I couldn't find any other issue related to namespacing wiki pages so I'm throwing my 2 cents in here. If I should create a new issue for this,

just let me know and I will.

#7 - 2011-11-24 08:34 - Sven Schwyn

The most likely implementation of this feature are tags (such as [wiki][feature][tags]). Redmine doesn't include the necessary gem for this yet, but 

#2897 is an open request to change this. After that it should be relatively easy to add tags to the wiki and issues.

However, I've switched to the ChiliProject fork recently which has faster release cycles. Tagging isn't implemented there yet neither, but it's on the

roadmap for later this year. I guess you just have to watch both projects and - if you need this feature that much - continue with whichever gets

tagging first.
#8 - 2012-12-05 03:02 - Filipe Sardi

+1
